Package org.eclipse.jgit.lib

## Enum CoreConfig.SymLinks

- java.lang.Object
- - java.lang.Enum<CoreConfig.SymLinks>
  - - org.eclipse.jgit.lib.CoreConfig.SymLinks

All Implemented Interfaces:
  `Serializable`, `Comparable<CoreConfig.SymLinks>`

Enclosing class:
  CoreConfig

    public static enum CoreConfig.SymLinks
    extends Enum<CoreConfig.SymLinks>

Options for symlink handling

Since:
  3.3

### Enum Constant Summary

Enum Constants
`FALSE` Checkout symbolic links as plain files
`TRUE` Checkout symbolic links as links

### Method Summary

All Methods Static Methods Concrete Methods
`static CoreConfig.SymLinks` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CoreConfig.SymLinks[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FALSE

    public static final CoreConfig.SymLinks FALSE

Checkout symbolic links as plain files

#### TRUE

    public static final CoreConfig.SymLinks TRUE

Checkout symbolic links as links

### Method Detail

#### values

    public static CoreConfig.SymLinks[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CoreConfig.SymLinks c : CoreConfig.SymLinks.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CoreConfig.SymLinks valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null